# vim: set sw=4 ts=4 et:
# Copyright (c) 2006-2010 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de

Name:           devede
Summary:        Video DVD creator
Version:        3.16.9
Release:        2.2
License:        GPL
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            http://www.rastersoft.com/programas/devede.html
Source:         http://www.rastersoft.com/descargas/%{name}-%{version}.tar.bz2
Source1:        devede.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       dvdauthor
Requires:       mkisofs
Requires:       MPlayer
%if %suse_version >= 1110
Requires:       python-base
%else
Requires:       python
%endif
Requires:       python-gtk
Requires:       vcdimager
BuildRequires:  fdupes
BuildRequires:  update-desktop-files
BuildArch:      noarch
BuildRequires:  dvdauthor
BuildRequires:  mkisofs
BuildRequires:  MPlayer

%description
DeVeDe is a program that allows you to create a video DVD from
an MPEG, AVI, MOV... video file, suitable for home DVD players.

DeVeDe uses MPlayer, Mencoder, DVDAuthor and VCDimager, so you
can use any video playable with Mplayer.

%lang_package

%prep
%setup -q

%__sed -i -e 's/\r$//' docs/html/psf.html
%__chmod 644 docs/html/psf.html

%__sed -i -e 's|/usr/share/doc/devede|%{_docdir}/%{name}|g' \
    %{name}.py

# note: devede is always looking in /usr/lib even on 64bit machines ...
%__sed -i -e 's|sys.path.append("/usr/lib/devede")|sys.path.append("/usr/share/devede")|g' \
    %{name}.py

%build

%install
./install.sh \
    --uninstall=no \
    --targeted=yes \
    --DESTDIR=%{buildroot} \
    --prefix=%{_prefix} \
    --libdir=%{_datadir} \
    --docdir=%{_docdir}

%__install -D -m0644 "%{SOURCE1}" "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%__install -D -m0644 pixmaps/icon_dvd.png "%{buildroot}%{_datadir}/pixmaps/%{name}.png"
%suse_update_desktop_file -r "%{name}" AudioVideo AudioVideoEditing

%find_lang %{name}
%fdupes -s %{buildroot}

%__rm %{buildroot}/usr/share/doc/packages/devede/html/index.html~
%__rm %{buildroot}/usr/share/doc/packages/devede/html/versions.html~

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files lang -f %{name}.lang
%defattr(-,root,root)
%if 0%{?suse_version} < 1130
%dir /usr/share/locale/hu_HU
%dir /usr/share/locale/hu_HU/LC_MESSAGES
%endif

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}
%{_bindir}/devede
%{_bindir}/devede_debug
%{_bindir}/devede-debug
%{_datadir}/devede
%{_datadir}/applications/devede.desktop
%{_datadir}/pixmaps/devede.*

%changelog
* Fri Jul 30 2010 toni@links2linux.de
- update to 3.16.9
- Added the license in the About dialog
- Added hungarian translation
* Mon Apr 19 2010 toni@links2linux.de
- update to 3.16.8
- Fixed a bug which prevented to create VCD, sVCD and CVD
* Sun Apr 11 2010 toni@links2linux.de
- update to 3.16.7
- Video info is updated when changing selection with arrow keys
- Allows up to 448Kbps for audio when using AC3
* Fri Mar 19 2010 toni@links2linux.de
- update to 3.16.6
- Buttons in main window now has a border, like all other buttons
- Desktop launcher now shows a much more HIG-compliant description
- Pressing RETURN key in Title properties and Create disc dialogs has
  the same effect than the Accept button
* Thu Mar 11 2010 toni@links2linux.de
- update to 3.16.5
- Don't show by default the subtitles in MKV files
* Wed Feb 24 2010 toni@links2linux.de
- update to 3.16.4
- Adjusts the audio bitrate to the nearest legal value supported in mencoder
- Allows blank spaces in the subtitles filename
* Sun Feb 21 2010 toni@links2linux.de
- update to 3.16.2
- Fixed the audio bitrate when using 5.1 sound
- Fixed a hang when repacking MPEG files instead of reencoding them
- Fixed Galician translation
* Mon Feb  8 2010 toni@links2linux.de
- update to 3.16.0
- Support for two-pass encoding and for 64-bit Windows.
- Allows you to change the final volume.
- Now remembers the last output directory used, and the last subtitle
  language and codepage.
- Support for UTF-16 subtitles.
- Autodetects ASCII, UTF-8, and UTF-16 subtitles.
- Allows you to create DVDs without a menu.
- Allows you to force the subtitles by default.
- Flushes stdout and stderr at the end, so it should finally allow full
  debugging info.
* Mon Dec  7 2009 toni@links2linux.de
- update to 3.15.2
* Tue Dec  1 2009 toni@links2linux.de
- adjusted devede.py for new installation directory /usr/share/devede
* Mon Nov 30 2009 toni@links2linux.de
- update to 3.15.1
- Fixed a bug when the program can't write the subtitle's XML file
- Added Miguel Bouzada to the list of translators
* Fri Nov 27 2009 toni@links2linux.de
- update to 3.15
- split off lang sub-package
- move python files also to /usr/share/devede to avoid libdir in noarch package
* Tue Oct 27 2009 toni@links2linux.de
- update to 3.14
  * Now doesn't add black bars when creating an NTSC disc from an 720x480 file without ASPECT RATIO parameter embedded
  * Allows to repack a file as MPEG-PS without recompress the streams (useful to work with VOB files)
  * Allows to swap the field order in interlaced videos
  * Allows to change the subtitle's font size
  * Now supports subtitle filenames with XML-reserved characters
  * Supports all picture types for menu backgrounds (not only PNG)
  * Now removes previous preview files if they already existed, when using LN
  * Fixed free disk space calcule in Windows 2000 and the SetPriority function (thanks to Peter Gill)
  * Adjusted the media sizes to ensure that the ISOs always will fit in the disc
  * Now doesn't hangs when adding a video file in an unknown format
* Wed Jan 28 2009 toni@links2linux.de
- update to 3.12c
* Sun Jan 25 2009 toni@links2linux.de
- update to 3.12
* Thu Aug 28 2008 toni@links2linux.de
- update to 3.11b
* Sun Aug 17 2008 toni@links2linux.de
- update to 3.10
* Tue Jun 24 2008 toni@links2linux.de
- update to 3.9
* Fri Jun  6 2008 toni@links2linux.de
- update to 3.8c
* Sun May 25 2008 toni@links2linux.de
- update to 3.8
* Wed Apr 16 2008 toni@links2linux.de
- update to 3.7
* Wed Dec 12 2007 toni@links2linux.de
- update to 3.6
* Sat Dec  8 2007 toni@links2linux.de
- update to 3.5
* Thu Nov 22 2007 toni@links2linux.de
- update to 3.4
* Sat Sep 22 2007 toni@links2linux.de
- update to 3.3
* Sun Sep 16 2007 toni@links2linux.de
- update to 3.2
* Mon Sep 10 2007 toni@links2linux.de
- update to 3.1b
* Sun Sep  9 2007 toni@links2linux.de
- update to 3.1
* Sat Jun 30 2007 toni@links2linux.de
- update to 3.01
* Sat Jun 23 2007 toni@links2linux.de
- update to 3.0
* Mon Apr 16 2007 toni@links2linux.de
- update to 2.13
* Sun Feb 25 2007 toni@links2linux.de
- update to 2.12
- changed %%%%install to use provided install.sh
* Thu Feb  8 2007 toni@links2linux.de
- update to 2.11
* Wed Jan 17 2007 toni@links2linux.de
- update to 2.10
* Sun Dec 31 2006 toni@links2linux.de
- update to 2.9
* Wed Dec 20 2006 toni@links2linux.de
- update to 2.8
* Mon Dec 18 2006 toni@links2linux.de
- update to 2.7
* Mon Oct 30 2006 toni@links2linux.de
- update to 2.6
* Fri Oct 13 2006 toni@links2linux.de
- update to 2.5
* Sat Oct  7 2006 toni@links2linux.de
- corrected: python < PYTHON-NOT-FOUND is needed by devede-2.4a-0.pm.1.noarch
* Wed Oct  4 2006 toni@links2linux.de
- update to 2.4a
* Mon Sep 25 2006 toni@links2linux.de
- correctied missing files
* Sun Sep 24 2006 toni@links2linux.de
- update to 2.4
* Sat Sep 16 2006 toni@links2linux.de
- build for packman
* Sat Sep  2 2006 oc2pus@arcor.de 2.3-0.oc2pus.1
- update to 2.3
* Fri Aug 18 2006 oc2pus@arcor.de 2.2-0.oc2pus.1
- update to 2.2
* Wed Jul  5 2006 oc2pus@arcor.de 2.1-0.oc2pus.1
- update to 2.1
* Mon Jun 19 2006 oc2pus@arcor.de 2.0-0.oc2pus.1
- initial release 2.0
